# sip-ping(1)

Bordeaux, December 2020

```
sip-ping [options] uri

```

## Description

Sends an option request to a sip server at the specified uri and waits for a
response, while measuring response time.

## Options

* **-6**
  Enable IPv6 addressing.
* **-s**
  Enable SRV dns lookups.
* **-t**
  Use sip over tcp. The default is udp.
* **--config=**_path_
  Alternate config file path.
* **--proxy=**_uri_
  Uri of SIP proxy route.
* **--info**
  Show text info of server response message.
* **--quiet**
  Quiet one time operation, often used in scripts for getting the exit code.
* **--help**
  Outputs help screen for the user.

## Exit Codes

Returns 0 if ping is successful, 1 if there is a parsing error, 2 for a sip
error or failure, and 3 for timeout.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/bordeaux/issues/new>.

## Copyright

Copyright © 2020-2021 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
